<template>
  <div class='download-wallet container'>
    <p class='download-wallet__title base-title'>Become the owner<br/>
      of your own OTC </p>
      <base-button shaded @click.native='showFeedbackForm(true)'>
        Leave a Request
      </base-button>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  methods: {
    ...mapActions({
      showFeedbackForm: 'toggleShowFeedbackForm'
    }),
  }
}
</script>

<style lang='scss' scoped>
.download-wallet {
  display: flex;
  flex-direction: column;
  align-items: center;

  &__title {
    font-weight: 700;
    font-size: 36px;
    line-height: 45px;
    max-width: 880px;
    text-align: center;
    margin: 0 0 50px;

    @media (max-width: 767px) {
      max-width: 302px;
    }

    @media (min-width: 1024px) {
      font-size: 45px;
    }

    @media (min-width: 1200px) {
      font-size: 48px;
      line-height: 59px;
    }
  }
}
</style>
